SORT(1)

NUME
sort - sortează liniile din fișierele text

REZUMAT
sort [OPȚIUNE]... [FIȘIER]...
sort [OPȚIUNE]... --files0-from=F

DESCRIERE

Scrie concatenarea ordonată a tuturor FIȘIERELOR la ieșirea standard.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt obligatorii și pentru opțiunile scurte. Opțiuni de ordonare:

-b, --ignore-leading-blanks
    ignoră spațiile de la începutul liniilor

-d, --dictionary-order
    ia în considerare doar spațiile libere și caracterele alfanumerice

-f, --ignore-case
    transformă caracterele minuscule în majuscule

-g, --general-numeric-sort
    compară conform valorii numerice generale

-i, --ignore-nonprinting
    ia în considerare doar caracterele imprimabile

-M, --month-sort
    compară (necunoscută) < „IAN” < ... < „DEC”

-h, --human-numeric-sort
    compară numere care pot fi citite ușor de către om (de exemplu: 2K, 1G)

-n, --numeric-sort
    compară conform valorii numerice a șirului

-R, --random-sort
    amestecă, dar grupează chei identice. A se vedea shuf(1)

--random-source=FIȘIER
    preia aleator octeți din FIȘIER

-r, --reverse
    inversează rezultatul comparațiilor

--sort=CUVÂNT
    sortează în funcție de CUVÂNT: general-numeric -g, uman-numeric -h, lună -M, numeric -n, aleatoriu -R, versiune -V

-V, --version-sort
    sortare naturală de numere (de versiuni) din text

Alte opțiuni

--batch-size=NCOMBINĂRI
    combină cel mult NCOMBINĂRI intrări odată; pentru mai multe, utilizează fișiere temporale

-c, --check, --check=diagnose-first
    verifică intrarea sortată; nu sortează

-C, --check=quiet, --check=silent
    ca -c, dar nu raportează prima linie greșită
          --compress-program=PROG
                            comprimă fișierele temporale cu PROG; le decomprimă cu PROG -d

--compress-program=PROG
    comprimă fișierele temporale cu PROG; le decomprimă cu PROG -d

--debug
    adnotează partea de linie folosită pentru sortare, și avertizează despre utilizarea îndoielnică a ieșirii de eroare standard

--files0-from=F
    citește intrarea din fișierele specificate de numele terminate cu NUL din fișierul F; dacă F este - atunci citește numele de la intrarea standard

-k, --key=CHEIE_DEF
    sortează cu ajutorul unei chei; CHEIE_DEF furnizează locația și tipul

-m, --merge
    îmbină fișierele deja sortate; nu sortează

-o, --output=FIȘIER
    scrie rezultatul în FIȘIER în loc de la ieșirea standard

-s, --stable
    stabilizează sortarea prin dezactivarea comparației în ultimă instanță

-S, --buffer-size=DIM
    utilizează DIM pentru memoria tampon principală

-t, --field-separator=SEP
    utilizează SEParator de câmp în loc de tranziție la spații albe

-T, --temporary-directory=DIR
    utilizează DIR pentru fișierele temporare, nu $TMPDIR sau /tmp; multiple opțiuni specifică multiple directoare

--parallel=N
    modifică numărul de sortări rulate concomitent la N

-u, --unique
    cu -c, verifică ordonarea strictă; fără -c, se afișează doar prima dintre mai multe rulări egale

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

CHEIE_DEF este F[.C][OPTS][,F[.C][OPTS]] pentru poziția de start și de oprire, unde F este un număr de câmp și C o poziție a caracterului în câmp; ambele sunt de origine 1, iar poziția de oprire este implicit la sfârșitul liniei. În cazul în care nu este în vigoare nici -t, nici -b, caracterele dintr-un câmp sunt numărate de la începutul spațiului alb anterior. OPTS este una sau mai multe opțiuni de ordonare cu o singură literă [bdfgiMhnRrV], care anulează opțiunile globale de ordonare pentru acea cheie. Dacă nu se indică nicio cheie, se utilizează întreaga linie ca cheie. Utilizați --debug pentru a diagnostica utilizarea incorectă a cheii.

DIM poate fi urmată de următoarele sufixe multiplicative: % 1% din memorie, b 1, K 1024 (implicit), și așa mai departe pentru M, G, T, P, E, Z, Y.

*** AVERTISMENT *** Localizarea specificată de mediu afectează ordinea sortării. Definiți „LC_ALL=C” pentru a obține ordinea tradițională de sortare care utilizează valorile native de octeți.

AUTOR
Scris de Mike Haertel și Paul Eggert.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
shuf(1), uniq(1)

Documentația completă este disponibilă la: <https://www.gnu.org/software/coreutils/sort>
sau local rulând comanda: «info '(coreutils) sort invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.